From a0ae616d84e9f051ae8536574a9d1289e5f0c060 Mon Sep 17 00:00:00 2001
From: William Hubbs <w.d.hubbs@gmail.com>
Date: Thu, 31 Dec 2009 12:57:18 -0600
Subject: [PATCH] respect destdir

---
 Makefile      |   10 +++++-----
 main/Makefile |   10 +++++-----
 2 files changed, 10 insertions(+), 10 deletions(-)

diff --git a/Makefile b/Makefile
index 2d3ff09..26b2386 100644
--- a/Makefile
+++ b/Makefile
@@ -106,11 +106,11 @@ tags:
 
 install:
 	@echo Installing 
-	mkdir -p $(INSTALLBINDIR)
-	mkdir -p $(INSTALLLIBDIR)
-	mkdir -p $(INSTALLINCDIR)
-	$(INSTALL) -m 644 include/*.h $(INSTALLINCDIR)
-	@ $(MAKE) -C main --no-print-directory install
+	mkdir -p $(DESTDIR)$(INSTALLBINDIR)
+	mkdir -p $(DESTDIR)$(INSTALLLIBDIR)
+	mkdir -p $(DESTDIR)$(INSTALLINCDIR)
+	$(INSTALL) -m 644 include/*.h $(DESTDIR)$(INSTALLINCDIR)
+	@ $(MAKE) -C main --no-print-directory DESTDIR=$(DESTDIR) install
 
 time-stamp :
 	@ echo $(PROJECT_NAME) >.time-stamp
diff --git a/main/Makefile b/main/Makefile
index 8163e40..0513e59 100644
--- a/main/Makefile
+++ b/main/Makefile
@@ -111,15 +111,15 @@ $(BINDIR)/flite_${VOICE}: flite_main.o $(flite_LIBS_deps)
 
 install:
 #       The basic binaries
-	@ $(INSTALL) -m 755 $(BINDIR)/flite $(INSTALLBINDIR)
+	@ $(INSTALL) -m 755 $(BINDIR)/flite $(DESTDIR)$(INSTALLBINDIR)
 	@ for i in $(VOICES) ; \
 	do \
-	   $(INSTALL) $(BINDIR)/flite_$$i $(INSTALLBINDIR); \
+	   $(INSTALL) $(BINDIR)/flite_$$i $(DESTDIR)$(INSTALLBINDIR); \
 	done
-	$(INSTALL) -m 755 $(BINDIR)/flite_time $(INSTALLBINDIR)
+	$(INSTALL) -m 755 $(BINDIR)/flite_time $(DESTDIR)$(INSTALLBINDIR)
 #       The libraries: static and shared (if built)
-	cp -pd $(flite_LIBS_deps) $(INSTALLLIBDIR)
+	cp -pd $(flite_LIBS_deps) $(DESTDIR)$(INSTALLLIBDIR)
 ifdef SHFLAGS
-	cp -pd $(SHAREDLIBS) $(VERSIONSHAREDLIBS) $(INSTALLLIBDIR)
+	cp -pd $(SHAREDLIBS) $(VERSIONSHAREDLIBS) $(DESTDIR)$(INSTALLLIBDIR)
 endif
 
-- 
1.6.4.4

